/**
 * Create by sxd
 * date 2018-04-13
 * Description:
 */
var Composition = function(cfg){
  this.words = (cfg && cfg.words) || 980;
  this.col = (cfg && cfg.col) || 2;
  this.vdom = null;
  this.parentWidth = 0;
};

Composition.prototype.renderToDom = function () {
  this.vdom = $('<div class="outer-composition"></div>');
  this.renderBlankDom();
};
Composition.prototype.renderBlankDom = function () {
  let rowLen = 20;let blankNum = 40;
  let divCol = document.createElement('div');
  divCol.className = 'composition-col';
  let colArray = [];let blankArray = [];
  let blank = '<div class="composition-blank"></div>';
  for(let i = 0;i<rowLen;i++){
    divCol.innerHTML = '';
    blankArray.length = 0;
    for(let j=0;j<blankNum;j++){
      blankArray.push(blank);
    }
    divCol.innerHTML = blankArray.join('');
    colArray.push(divCol.outerHTML);
  }
  this.vdom.append(colArray.join(''));
};

export default Composition;