/**
 * Create by sxd
 * date 2018-04-13
 * Description:
 */
var Underline = function (cfg) {

  this.uwidth = (cfg && cfg.width) || 350;

  this.domId = ('underline_' + Math.random()).replace('.','_');
  this.vdom = null;

};

Underline.prototype.underlineTpl = '<div class="line-n line resizable" style="cursor: default"></div><div class="line-e line resizable"><div class="circle"></div></div><div class="line-s line resizable" style="cursor: default"></div><div class="line-w line resizable" style="cursor: default"></div>';

Underline.prototype.renderToDom = function () {
  this.vdom = $('<div class="outer-underline" id="'+ this.domId +'"></div>');
  this.vdom.css({ width: this.uwidth });
  this.renderUnderlineDom();
};

Underline.prototype.renderUnderlineDom = function() {
  let underline = $('<div class="underline"></div>');
  let circleDom = $('<div class="eqc-select"></div>');
  circleDom.append(this.underlineTpl);
  this.vdom.append(circleDom);
  this.vdom.append(underline);
};

export default Underline;